Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.virtual.version
Class Version

    java.lang.Object
      com.bea.content.virtual.version.VersionableContent
          com.bea.content.virtual.version.Version

All Implemented Interfaces
  Serializable, Cloneable

    public class Version

extends VersionableContent
implements Serializable, Cloneable

Version maintains information on a single version of a VirtualNode. The Version object is created by the Library Services API and it's not intended to be constructed by the customer directly -- please consult the methods in `IVersionManager`.

Methods which return an `com.bea.content.paging.ISortableFilterablePagedList` from `IVersionManager` can sort and filter the responses. For a discussion on paging, sorting and filtering, see `com.bea.content.paging` and `ContentListKeys`. Properties which can be natively sorted and filtered can be identified by calling the methods `ISortablePagedList.getNativeSortableProperties()` and `IFilterablePagedList.getNativeFilterableProperties()`.

For Versions in the WLP Repository, the current list of native sortable and filterable properties is:

- versionId (or versionName)
- status
- modifiedBy
- modifiedDate
- versionComment (or comment)

See Also
  Serialized Form

Constructor Summary
`Version(int status, String comment, Property[] properties, String versionName, String modifiedBy, Calendar modifiedDate)` Deprecated Use the methods in `IVersionManager` to create new versions.
`Version(int status, String comment, Property[] properties, String versionName, String modifiedBy, Calendar modifiedDate, VirtualNode virtualNode)` Deprecated Use the methods in `IVersionManager` to create new versions.

Method Summary
`Object` | `clone()` Clones a versionnode with its properties and values.
`String` | `getModifiedBy()` Gets the name of the last user that modified this version.
`Calendar` | `getModifiedDate()` Gets the date this version was last modified.
`ID` | `getNodeId()` Return the NodeId associated with the version
`String` | `getVersionId()` Excluded - see CR353875.
`String` | `getVersionName()` Gets the name of this version.
`VirtualNode` | `getVirtualNode()` Deprecated Due to security concerns. Please use getNodeId() instead. This will return null for versions returned via meta-data search queries.
`String` | `toString()` Returns the attributes of this Version in a String.

Methods inherited from class com.bea.content.virtual.version.VersionableContent
`addProperty, getComment, getProperties, getProperties, getProperty, getStatus, getVersionComment, setComment, setProperties, setStatus`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Version

    public Version(int status,
                   String comment,
                   Property[] properties,
                   String versionName,
                   String modifiedBy,
                   Calendar modifiedDate)

  Deprecated Use the methods in `IVersionManager` to create new versions.

  For internal use only.

### Version

    public Version(int status,
                   String comment,
                   Property[] properties,
                   String versionName,
                   String modifiedBy,
                   Calendar modifiedDate,
                   VirtualNode virtualNode)

  Deprecated Use the methods in `IVersionManager` to create new versions.

  For internal use only. Create a new Version object. The Version object is created by the Library Services API and it's not intended to be constructed by the customer directly.

  Parameters
    `status` - Workflow status.
    `comment` - User created comment for the version.
    `properties` - The node properties for this version.
    `versionName` - The name of this version, ie "1", "2", etc.
    `modifiedBy` - The user that modified this version.
    `modifiedDate` - The date that this version was modified.
    `virtualNode` - The VirtualNode that this version belongs to.

Method Detail

### getVersionName

    public String getVersionName()

  Gets the name of this version.

### getVersionId

    public String getVersionId()

  Excluded - see CR353875. This is necessary for sorting/filtering results of a IVersionManager.search()

  Returns
    The version id.

### getModifiedBy

    public String getModifiedBy()

  Gets the name of the last user that modified this version.

### getModifiedDate

    public Calendar getModifiedDate()

  Gets the date this version was last modified.

### getVirtualNode

    public VirtualNode getVirtualNode()

  Deprecated Due to security concerns. Please use getNodeId() instead. This will return null for versions returned via meta-data search queries.

  Gets the VirtualNode object that is associated with this Version

### getNodeId

    public ID getNodeId()

  Return the NodeId associated with the version

  Returns
    The NodeID

### toString

    public String toString()

  Returns the attributes of this Version in a String.

  Overrides:
    `toString` in class `VersionableContent`

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Clones a versionnode with its properties and values. Note that binary value streams of property values are not cloned, but merely copied.

  Overrides:
    `clone` in class `VersionableContent`
  Returns
    A clone of the node.
  Throws
    `CloneNotSupportedException` - If the clone fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.